io.etcd.jetcd.api

## Interface ResponseHeaderOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  ResponseHeader, ResponseHeader.Builder

    public interface ResponseHeaderOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getClusterId()` cluster_id is the ID of the cluster which sent the response.
`long` `getMemberId()` member_id is the ID of the member which sent the response.
`long` `getRaftTerm()` raft_term is the raft term when the request was applied.
`long` `getRevision()` revision is the key-value store revision when the request was applied.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getClusterId

    long getClusterId()

     cluster_id is the ID of the cluster which sent the response.

`uint64 cluster_id = 1;`

Returns:
  The clusterId.

#### getMemberId

    long getMemberId()

     member_id is the ID of the member which sent the response.

`uint64 member_id = 2;`

Returns:
  The memberId.

#### getRevision

    long getRevision()

     revision is the key-value store revision when the request was applied.

`int64 revision = 3;`

Returns:
  The revision.

#### getRaftTerm

    long getRaftTerm()

     raft_term is the raft term when the request was applied.

`uint64 raft_term = 4;`

Returns:
  The raftTerm.